# Usecases/Userstories
Mit diesen Usecases/Userstories wird an dem Beispiel Resourcenraum, die Funktionalität von FabAccess beschrieben und getestet.

Da FabAccess sehr flexibel mit den Berechtigungen ist, haben wir uns dazu entschieden, die Use Cases und User Stories mit unserem Beispiel-Space zu verknüpfen. So können wir spezifisch mit den Nutzern arbeiten, die die entsprechenden Berechtigungen haben, und darauf basierend auch das Testing aufbauen. Zusätzlich werden für die Use Cases und User Stories entsprechende Tests erstellt, die die API-Aufrufe beinhalten, um das Verständnis für die API weiter zu verbessern.

+ Niklas Becker wants to use the soldering station, claims the resource, turns on the power, and returns the resource.
+ Niklas Becker wants to enter the space through the front door, claims the resource, and unlocks it temporarily.
+ Niklas Becker wants to reserve the soldering station for 1 hour in 5 seconds.
+ Niklas Becker wants to use the soldering station, but Philipp Blau is already using it. Niklas Becker joins the queue and gets the claim after Philipp Blau disowns the claim.
+ Julia Schneider needs instructions from Maik Pfeiffer for the 3D printer FDM.
+ Julia Schneider uses the Welding Machine and wants to transfer it to Leonie Fischer.
+ Felix Wagner wants to use the circular saw, which depends on the central suction.
+ Felix Wagner wants to use the circular saw, and Thomas Naumann wants to use the bandsaw, which depends on the central suction. Felix Wagner uses the circular saw first, then Thomas Naumann uses the bandsaw, and Felix Wagner disowns the circular saw first.
+ Katharina Abendroth needs to repair the bandsaw and locks it for this purpose.
+ Leonie Fischer forgot to return the soldering station, and Sarah Barth now has to release the resource again.
+ Sarah Barth gives Michael Ziegler an account for this space.
+ Lisa Meier wants to use the electric screwdriver and needs to locate it.
+ Julia Schneider has used the CNC, and Claudia Neustadt needs to check it.
+ Julia Schneider wants to use the CNC by card, and Sarah Barth checks it after usage.
+ Niklas Becker receives the role "rapid prototyping" from Sarah Barth.
+ Lara Schmidt wants to get a 3D printer from the printer farm via a terminal.
+ Lisa Meier wants to get the laser cutter via an alias name.
+ Tim Fischer wants to use the 3D printer FDM for his project "Horizon".
+ Niklas Becker wants to use the 3D scanner.
+ Tim Fischer claims the project room for his project and wants to share it with his project partner Niklas Becker so he can use it too.
+ Tim Fischer gets a project box for his project "Horizon" from Sarah Barth to store his items. This project box is also shared with Niklas Becker.
+ Lara Schmidt gets a project box for her personal use from Sarah Barth.
+ Felix Wagner brings his own wood router to the space and can share it with Lisa Meier.
+ Lisa Meier wants to get the laser cutter via the terminal by card.
+ Niklas Becker wants to get the screwdriver set and the wrench set via the goods issue terminal for the project "Horizon."
+ Tim Fischer wants to get the laser cutter by card for the project "Horizon."
+ Lisa Meier is using the laser cutter via the terminal, and Tim Fischer wants to get a transfer of the laser cutter to the project "Horizon."
+ Julia Schneider is using the bandsaw, and Sarah Barth wants to know when the resource is claimable again.
+ Julia Schneider is using the CNC, and Claudia Neustadt wants to get notified when the resource needs a check.
+ The circular saw needs cleaning, and Ralf Luft claims the resource for management and cleans it.
+ Leonie Fischer has built an e-scooter that is compatible with FabAccess and needs to use a hint in her client implementation to display an e-scooter for the traits.
    